io.vertx.reactivex.servicediscovery.types

## Class MessageSource

- java.lang.Object
- - io.vertx.reactivex.servicediscovery.types.MessageSource

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class MessageSource
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Service type for data producer. Providers are publishing data to a specific event bus address.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<MessageSource>` | `__TYPE_ARG`
    `static String` | `TYPE`
    `static String` | `UNKNOWN` Unknown type.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageSource(MessageSource delegate)`
    `MessageSource(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Record` | `createRecord(String name, String address)` Same as `createRecord(java.lang.String, java.lang.String, java.lang.String, io.vertx.core.json.JsonObject)` without additional metadata, and no type for the payload.
    `static Record` | `createRecord(String name, String address, String type)` Same as `createRecord(java.lang.String, java.lang.String, java.lang.String, io.vertx.core.json.JsonObject)` without additional metadata.
    `static Record` | `createRecord(String name, String address, String type, JsonObject metadata)` Create a record representing a data producer.
    `boolean` | `equals(Object o)`
    `static <T> void` | `getConsumer(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter)` Convenient method that looks for a message source and provides the configured .
    `static <T> void` | `getConsumer(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter, Handler<AsyncResult<MessageConsumer<T>>> resultHandler)` Convenient method that looks for a message source and provides the configured .
    `static <T> void` | `getConsumer(ServiceDiscovery discovery, JsonObject filter)` Convenient method that looks for a message source and provides the configured .
    `static <T> void` | `getConsumer(ServiceDiscovery discovery, JsonObject filter, Handler<AsyncResult<MessageConsumer<T>>> resultHandler)` Convenient method that looks for a message source and provides the configured .
    `MessageSource` | `getDelegate()`
    `int` | `hashCode()`
    `static MessageSource` | `newInstance(MessageSource arg)`
    `static <T> Single<MessageConsumer<T>>` | `rxGetConsumer(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter)` Convenient method that looks for a message source and provides the configured .
    `static <T> Single<MessageConsumer<T>>` | `rxGetConsumer(ServiceDiscovery discovery, JsonObject filter)` Convenient method that looks for a message source and provides the configured .
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MessageSource> __TYPE_ARG

    - #### UNKNOWN

          public static final String UNKNOWN

      Unknown type.
      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MessageSource

          public MessageSource(MessageSource delegate)

    - #### MessageSource

          public MessageSource(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MessageSource getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### createRecord

          public static Record createRecord(String name,
                                            String address,
                                            String type,
                                            JsonObject metadata)

      Create a record representing a data producer.
      Parameters:
        `name` - the name of the service
        `address` - the address on which the data is sent
        `type` - the type of payload (fully qualified name of the class)
        `metadata` - additional metadata
      Returns:
        the created record

    - #### createRecord

          public static Record createRecord(String name,
                                            String address,
                                            String type)

      Same as `createRecord(java.lang.String, java.lang.String, java.lang.String, io.vertx.core.json.JsonObject)` without additional metadata.
      Parameters:
        `name` - the name of the service
        `address` - the address on which the data is sent
        `type` - the type of payload
      Returns:
        the created record

    - #### createRecord

          public static Record createRecord(String name,
                                            String address)

      Same as `createRecord(java.lang.String, java.lang.String, java.lang.String, io.vertx.core.json.JsonObject)` without additional metadata, and no type for the payload.
      Parameters:
        `name` - the name of the service
        `address` - the address on which the data is sent.
      Returns:
        the created record

    - #### getConsumer

          public static <T> void getConsumer(ServiceDiscovery discovery,
                                             JsonObject filter,
                                             Handler<AsyncResult<MessageConsumer<T>>> resultHandler)

      Convenient method that looks for a message source and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `resultHandler` - The result handler

    - #### getConsumer

          public static <T> void getConsumer(ServiceDiscovery discovery,
                                             JsonObject filter)

      Convenient method that looks for a message source and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional

    - #### rxGetConsumer

          public static <T> Single<MessageConsumer<T>> rxGetConsumer(ServiceDiscovery discovery,
                                                                     JsonObject filter)

      Convenient method that looks for a message source and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
      Returns:

    - #### getConsumer

          public static <T> void getConsumer(ServiceDiscovery discovery,
                                             java.util.function.Function<Record,Boolean> filter,
                                             Handler<AsyncResult<MessageConsumer<T>>> resultHandler)

      Convenient method that looks for a message source and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, must not be `null`
        `resultHandler` - The result handler

    - #### getConsumer

          public static <T> void getConsumer(ServiceDiscovery discovery,
                                             java.util.function.Function<Record,Boolean> filter)

      Convenient method that looks for a message source and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, must not be `null`

    - #### rxGetConsumer

          public static <T> Single<MessageConsumer<T>> rxGetConsumer(ServiceDiscovery discovery,
                                                                     java.util.function.Function<Record,Boolean> filter)

      Convenient method that looks for a message source and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, must not be `null`
      Returns:

    - #### newInstance

          public static MessageSource newInstance(MessageSource arg)

Copyright © 2025 Eclipse. All rights reserved.